Отказ в обслуживании в Expat XML Parser

Дата публикации:
25.08.2009
Дата изменения:
21.01.2011
Всего просмотров:
1091
Опасность:
Средняя
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:W/RC:C) = Base:7.8/Temporal:6.3
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:W/RC:C) = Base:7.8/Temporal:6.3
CVE ID:
CVE-2009-3720
CVE-2009-3560
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Expat XML Parser 1.x
Expat XML Parser 2.x
Уязвимые версии: Expat XML Parser 1.95.8 и 2.0.1, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести DoS атаку.

1. Уязвимость существует из-за ошибки при обработке определенных UTF-8 последовательностей. Удаленный пользователь может аварийно завершить работу приложения, использующего уязвимую библиотеку.

2. Уязвимость существует из-за ошибки в функции doProlog() в файле lib/xmlparse.c. Удаленный пользователь может с помощью специально сформированных XML данных аварийно завершить работу приложения.

URL производителя: sourceforge.net/projects/expat/

Решение: Установите исправление из CVS репозитория производителя.

Ссылки: http://mail.python.org/pipermail/expat-bugs/2009-January/002781.html
http://mail.python.org/pipermail/expat-bugs/2009-November/002846.html
Журнал изменений: 06.11.2009
Незначительные изменения.
31.12.2009
Добавлено уязвимость #2.

или введите имя

CAPTCHA